// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		7A21D06F23E3AAF0009D2550 /* Map.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 7A21D06E23E3AAF0009D2550 /* Map.storyboard */; };
		7A21D07123E3AB1D009D2550 /* MapViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7A21D07023E3AB1D009D2550 /* MapViewController.swift */; };
		7A224DAC23E86B3C003105A9 /* LoadingAnimation.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7A224DAB23E86B3C003105A9 /* LoadingAnimation.swift */; };
		7A224DAF23E86D85003105A9 /* LoadingAnimation.xib in Resources */ = {isa = PBXBuildFile; fileRef = 7A224DAE23E86D85003105A9 /* LoadingAnimation.xib */; };
		7A224DB123E86ECF003105A9 /* LoadingAnimationModal.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7A224DB023E86ECF003105A9 /* LoadingAnimationModal.swift */; };
		7A24343523E798A7003AB4A3 /* WeatherDetail.xib in Resources */ = {isa = PBXBuildFile; fileRef = 7A24343423E798A7003AB4A3 /* WeatherDetail.xib */; };
		7A24343723E7992A003AB4A3 /* WeatherDetailModalViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7A24343623E7992A003AB4A3 /* WeatherDetailModalViewController.swift */; };
		7A24343A23E7BAA0003AB4A3 /* Utilities.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7A24343923E7BAA0003AB4A3 /* Utilities.swift */; };
		7AA3718A23E32022009A1D87 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7AA3718923E32022009A1D87 /* AppDelegate.swift */; };
		7AA3718C23E32022009A1D87 /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7AA3718B23E32022009A1D87 /* SceneDelegate.swift */; };
		7AA3718E23E32022009A1D87 /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7AA3718D23E32022009A1D87 /* ViewController.swift */; };
		7AA3719123E32022009A1D87 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 7AA3718F23E32022009A1D87 /* Main.storyboard */; };
		7AA3719423E32022009A1D87 /* Weather_Assessment_Recommend.xcdatamodeld in Sources */ = {isa = PBXBuildFile; fileRef = 7AA3719223E32022009A1D87 /* Weather_Assessment_Recommend.xcdatamodeld */; };
		7AA3719623E32023009A1D87 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 7AA3719523E32023009A1D87 /* Assets.xcassets */; };
		7AA3719923E32023009A1D87 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 7AA3719723E32023009A1D87 /* LaunchScreen.storyboard */; };
		7AA371A423E32023009A1D87 /* Weather_Assessment_RecommendTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7AA371A323E32023009A1D87 /* Weather_Assessment_RecommendTests.swift */; };
		7AA371AF23E32023009A1D87 /* Weather_Assessment_RecommendUITests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7AA371AE23E32023009A1D87 /* Weather_Assessment_RecommendUITests.swift */; };
		7AA371C123E3254E009A1D87 /* HomePageCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = 7AA371C023E3254E009A1D87 /* HomePageCell.xib */; };
		7AA371C323E3258B009A1D87 /* HomePageHeader.xib in Resources */ = {isa = PBXBuildFile; fileRef = 7AA371C223E3258B009A1D87 /* HomePageHeader.xib */; };
		7AA371C523E326D9009A1D87 /* HomePageHeader.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7AA371C423E326D9009A1D87 /* HomePageHeader.swift */; };
		7AA371C723E328C0009A1D87 /* HomePageTableViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7AA371C623E328C0009A1D87 /* HomePageTableViewController.swift */; };
		7AA371C923E33135009A1D87 /* Background Image.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 7AA371C823E33135009A1D87 /* Background Image.xcassets */; };
		7AA371CB23E333B0009A1D87 /* HomePageTableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7AA371CA23E333B0009A1D87 /* HomePageTableViewCell.swift */; };
		7AA371CD23E335E3009A1D87 /* DataModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7AA371CC23E335E3009A1D87 /* DataModel.swift */; };
		7AA371CF23E33E9F009A1D87 /* Extension.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7AA371CE23E33E9F009A1D87 /* Extension.swift */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		7AA371A023E32023009A1D87 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 7AA3717E23E32022009A1D87 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 7AA3718523E32022009A1D87;
			remoteInfo = "Weather Assessment Recommend";
		};
		7AA371AB23E32023009A1D87 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 7AA3717E23E32022009A1D87 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 7AA3718523E32022009A1D87;
			remoteInfo = "Weather Assessment Recommend";
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		7A21D06E23E3AAF0009D2550 /* Map.storyboard */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; path = Map.storyboard; sourceTree = "<group>"; };
		7A21D07023E3AB1D009D2550 /* MapViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MapViewController.swift; sourceTree = "<group>"; };
		7A224DAB23E86B3C003105A9 /* LoadingAnimation.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LoadingAnimation.swift; sourceTree = "<group>"; };
		7A224DAE23E86D85003105A9 /* LoadingAnimation.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = LoadingAnimation.xib; sourceTree = "<group>"; };
		7A224DB023E86ECF003105A9 /* LoadingAnimationModal.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LoadingAnimationModal.swift; sourceTree = "<group>"; };
		7A24343423E798A7003AB4A3 /* WeatherDetail.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = WeatherDetail.xib; sourceTree = "<group>"; };
		7A24343623E7992A003AB4A3 /* WeatherDetailModalViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = WeatherDetailModalViewController.swift; sourceTree = "<group>"; };
		7A24343923E7BAA0003AB4A3 /* Utilities.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Utilities.swift; sourceTree = "<group>"; };
		7AA3718623E32022009A1D87 /* Weather Assessment Recommend.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = "Weather Assessment Recommend.app"; sourceTree = BUILT_PRODUCTS_DIR; };
		7AA3718923E32022009A1D87 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		7AA3718B23E32022009A1D87 /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		7AA3718D23E32022009A1D87 /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		7AA3719023E32022009A1D87 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		7AA3719323E32022009A1D87 /* Weather_Assessment_Recommend.xcdatamodel */ = {isa = PBXFileReference; lastKnownFileType = wrapper.xcdatamodel; path = Weather_Assessment_Recommend.xcdatamodel; sourceTree = "<group>"; };
		7AA3719523E32023009A1D87 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		7AA3719823E32023009A1D87 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		7AA3719A23E32023009A1D87 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		7AA3719F23E32023009A1D87 /* Weather Assessment RecommendTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = "Weather Assessment RecommendTests.xctest"; sourceTree = BUILT_PRODUCTS_DIR; };
		7AA371A323E32023009A1D87 /* Weather_Assessment_RecommendTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Weather_Assessment_RecommendTests.swift; sourceTree = "<group>"; };
		7AA371A523E32023009A1D87 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		7AA371AA23E32023009A1D87 /* Weather Assessment RecommendUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = "Weather Assessment RecommendUITests.xctest"; sourceTree = BUILT_PRODUCTS_DIR; };
		7AA371AE23E32023009A1D87 /* Weather_Assessment_RecommendUITests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Weather_Assessment_RecommendUITests.swift; sourceTree = "<group>"; };
		7AA371B023E32023009A1D87 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		7AA371C023E3254E009A1D87 /* HomePageCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = HomePageCell.xib; sourceTree = "<group>"; };
		7AA371C223E3258B009A1D87 /* HomePageHeader.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = HomePageHeader.xib; sourceTree = "<group>"; };
		7AA371C423E326D9009A1D87 /* HomePageHeader.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomePageHeader.swift; sourceTree = "<group>"; };
		7AA371C623E328C0009A1D87 /* HomePageTableViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomePageTableViewController.swift; sourceTree = "<group>"; };
		7AA371C823E33135009A1D87 /* Background Image.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = "Background Image.xcassets"; sourceTree = "<group>"; };
		7AA371CA23E333B0009A1D87 /* HomePageTableViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomePageTableViewCell.swift; sourceTree = "<group>"; };
		7AA371CC23E335E3009A1D87 /* DataModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DataModel.swift; sourceTree = "<group>"; };
		7AA371CE23E33E9F009A1D87 /* Extension.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Extension.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		7AA3718323E32022009A1D87 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		7AA3719C23E32023009A1D87 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		7AA371A723E32023009A1D87 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		7A21D06D23E3AAE5009D2550 /* Map */ = {
			isa = PBXGroup;
			children = (
				7A21D06E23E3AAF0009D2550 /* Map.storyboard */,
			);
			path = Map;
			sourceTree = "<group>";
		};
		7A224DAD23E86D72003105A9 /* Loading Animation */ = {
			isa = PBXGroup;
			children = (
				7A224DAB23E86B3C003105A9 /* LoadingAnimation.swift */,
				7A224DAE23E86D85003105A9 /* LoadingAnimation.xib */,
			);
			path = "Loading Animation";
			sourceTree = "<group>";
		};
		7A24343323E7987F003AB4A3 /* Modal Weather Detail */ = {
			isa = PBXGroup;
			children = (
				7A24343423E798A7003AB4A3 /* WeatherDetail.xib */,
			);
			path = "Modal Weather Detail";
			sourceTree = "<group>";
		};
		7A24343823E7BA91003AB4A3 /* Utilities */ = {
			isa = PBXGroup;
			children = (
				7A24343923E7BAA0003AB4A3 /* Utilities.swift */,
			);
			path = Utilities;
			sourceTree = "<group>";
		};
		7AA3717D23E32022009A1D87 = {
			isa = PBXGroup;
			children = (
				7AA3718823E32022009A1D87 /* Weather Assessment Recommend */,
				7AA371A223E32023009A1D87 /* Weather Assessment RecommendTests */,
				7AA371AD23E32023009A1D87 /* Weather Assessment RecommendUITests */,
				7AA3718723E32022009A1D87 /* Products */,
			);
			sourceTree = "<group>";
		};
		7AA3718723E32022009A1D87 /* Products */ = {
			isa = PBXGroup;
			children = (
				7AA3718623E32022009A1D87 /* Weather Assessment Recommend.app */,
				7AA3719F23E32023009A1D87 /* Weather Assessment RecommendTests.xctest */,
				7AA371AA23E32023009A1D87 /* Weather Assessment RecommendUITests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		7AA3718823E32022009A1D87 /* Weather Assessment Recommend */ = {
			isa = PBXGroup;
			children = (
				7A24343823E7BA91003AB4A3 /* Utilities */,
				7AA371BC23E324DF009A1D87 /* Controller */,
				7AA371BD23E324E7009A1D87 /* View */,
				7AA371BE23E324EE009A1D87 /* Model */,
				7AA3718923E32022009A1D87 /* AppDelegate.swift */,
				7AA3718B23E32022009A1D87 /* SceneDelegate.swift */,
				7AA3718D23E32022009A1D87 /* ViewController.swift */,
				7AA3719523E32023009A1D87 /* Assets.xcassets */,
				7AA371C823E33135009A1D87 /* Background Image.xcassets */,
				7AA3719723E32023009A1D87 /* LaunchScreen.storyboard */,
				7AA3719A23E32023009A1D87 /* Info.plist */,
				7AA3719223E32022009A1D87 /* Weather_Assessment_Recommend.xcdatamodeld */,
			);
			path = "Weather Assessment Recommend";
			sourceTree = "<group>";
		};
		7AA371A223E32023009A1D87 /* Weather Assessment RecommendTests */ = {
			isa = PBXGroup;
			children = (
				7AA371A323E32023009A1D87 /* Weather_Assessment_RecommendTests.swift */,
				7AA371A523E32023009A1D87 /* Info.plist */,
			);
			path = "Weather Assessment RecommendTests";
			sourceTree = "<group>";
		};
		7AA371AD23E32023009A1D87 /* Weather Assessment RecommendUITests */ = {
			isa = PBXGroup;
			children = (
				7AA371AE23E32023009A1D87 /* Weather_Assessment_RecommendUITests.swift */,
				7AA371B023E32023009A1D87 /* Info.plist */,
			);
			path = "Weather Assessment RecommendUITests";
			sourceTree = "<group>";
		};
		7AA371BC23E324DF009A1D87 /* Controller */ = {
			isa = PBXGroup;
			children = (
				7A21D07023E3AB1D009D2550 /* MapViewController.swift */,
				7AA371C623E328C0009A1D87 /* HomePageTableViewController.swift */,
				7A24343623E7992A003AB4A3 /* WeatherDetailModalViewController.swift */,
				7A224DB023E86ECF003105A9 /* LoadingAnimationModal.swift */,
			);
			path = Controller;
			sourceTree = "<group>";
		};
		7AA371BD23E324E7009A1D87 /* View */ = {
			isa = PBXGroup;
			children = (
				7A224DAD23E86D72003105A9 /* Loading Animation */,
				7A24343323E7987F003AB4A3 /* Modal Weather Detail */,
				7A21D06D23E3AAE5009D2550 /* Map */,
				7AA371BF23E32535009A1D87 /* HomePage Cell */,
				7AA3718F23E32022009A1D87 /* Main.storyboard */,
			);
			path = View;
			sourceTree = "<group>";
		};
		7AA371BE23E324EE009A1D87 /* Model */ = {
			isa = PBXGroup;
			children = (
				7AA371CC23E335E3009A1D87 /* DataModel.swift */,
				7AA371CE23E33E9F009A1D87 /* Extension.swift */,
			);
			path = Model;
			sourceTree = "<group>";
		};
		7AA371BF23E32535009A1D87 /* HomePage Cell */ = {
			isa = PBXGroup;
			children = (
				7AA371C223E3258B009A1D87 /* HomePageHeader.xib */,
				7AA371C423E326D9009A1D87 /* HomePageHeader.swift */,
				7AA371C023E3254E009A1D87 /* HomePageCell.xib */,
				7AA371CA23E333B0009A1D87 /* HomePageTableViewCell.swift */,
			);
			path = "HomePage Cell";
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		7AA3718523E32022009A1D87 /* Weather Assessment Recommend */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 7AA371B323E32023009A1D87 /* Build configuration list for PBXNativeTarget "Weather Assessment Recommend" */;
			buildPhases = (
				7AA3718223E32022009A1D87 /* Sources */,
				7AA3718323E32022009A1D87 /* Frameworks */,
				7AA3718423E32022009A1D87 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = "Weather Assessment Recommend";
			productName = "Weather Assessment Recommend";
			productReference = 7AA3718623E32022009A1D87 /* Weather Assessment Recommend.app */;
			productType = "com.apple.product-type.application";
		};
		7AA3719E23E32023009A1D87 /* Weather Assessment RecommendTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 7AA371B623E32023009A1D87 /* Build configuration list for PBXNativeTarget "Weather Assessment RecommendTests" */;
			buildPhases = (
				7AA3719B23E32023009A1D87 /* Sources */,
				7AA3719C23E32023009A1D87 /* Frameworks */,
				7AA3719D23E32023009A1D87 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				7AA371A123E32023009A1D87 /* PBXTargetDependency */,
			);
			name = "Weather Assessment RecommendTests";
			productName = "Weather Assessment RecommendTests";
			productReference = 7AA3719F23E32023009A1D87 /* Weather Assessment RecommendTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		7AA371A923E32023009A1D87 /* Weather Assessment RecommendUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 7AA371B923E32023009A1D87 /* Build configuration list for PBXNativeTarget "Weather Assessment RecommendUITests" */;
			buildPhases = (
				7AA371A623E32023009A1D87 /* Sources */,
				7AA371A723E32023009A1D87 /* Frameworks */,
				7AA371A823E32023009A1D87 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				7AA371AC23E32023009A1D87 /* PBXTargetDependency */,
			);
			name = "Weather Assessment RecommendUITests";
			productName = "Weather Assessment RecommendUITests";
			productReference = 7AA371AA23E32023009A1D87 /* Weather Assessment RecommendUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		7AA3717E23E32022009A1D87 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1130;
				LastUpgradeCheck = 1130;
				ORGANIZATIONNAME = "Danial Fajar";
				TargetAttributes = {
					7AA3718523E32022009A1D87 = {
						CreatedOnToolsVersion = 11.3;
					};
					7AA3719E23E32023009A1D87 = {
						CreatedOnToolsVersion = 11.3;
						TestTargetID = 7AA3718523E32022009A1D87;
					};
					7AA371A923E32023009A1D87 = {
						CreatedOnToolsVersion = 11.3;
						TestTargetID = 7AA3718523E32022009A1D87;
					};
				};
			};
			buildConfigurationList = 7AA3718123E32022009A1D87 /* Build configuration list for PBXProject "Weather Assessment Recommend" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 7AA3717D23E32022009A1D87;
			productRefGroup = 7AA3718723E32022009A1D87 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				7AA3718523E32022009A1D87 /* Weather Assessment Recommend */,
				7AA3719E23E32023009A1D87 /* Weather Assessment RecommendTests */,
				7AA371A923E32023009A1D87 /* Weather Assessment RecommendUITests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		7AA3718423E32022009A1D87 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				7AA3719923E32023009A1D87 /* LaunchScreen.storyboard in Resources */,
				7A224DAF23E86D85003105A9 /* LoadingAnimation.xib in Resources */,
				7A21D06F23E3AAF0009D2550 /* Map.storyboard in Resources */,
				7AA371C323E3258B009A1D87 /* HomePageHeader.xib in Resources */,
				7AA371C923E33135009A1D87 /* Background Image.xcassets in Resources */,
				7AA3719623E32023009A1D87 /* Assets.xcassets in Resources */,
				7A24343523E798A7003AB4A3 /* WeatherDetail.xib in Resources */,
				7AA3719123E32022009A1D87 /* Main.storyboard in Resources */,
				7AA371C123E3254E009A1D87 /* HomePageCell.xib in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		7AA3719D23E32023009A1D87 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		7AA371A823E32023009A1D87 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		7AA3718223E32022009A1D87 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				7AA371CF23E33E9F009A1D87 /* Extension.swift in Sources */,
				7AA3718E23E32022009A1D87 /* ViewController.swift in Sources */,
				7AA371CB23E333B0009A1D87 /* HomePageTableViewCell.swift in Sources */,
				7A21D07123E3AB1D009D2550 /* MapViewController.swift in Sources */,
				7AA3718A23E32022009A1D87 /* AppDelegate.swift in Sources */,
				7AA3718C23E32022009A1D87 /* SceneDelegate.swift in Sources */,
				7A24343A23E7BAA0003AB4A3 /* Utilities.swift in Sources */,
				7AA3719423E32022009A1D87 /* Weather_Assessment_Recommend.xcdatamodeld in Sources */,
				7A24343723E7992A003AB4A3 /* WeatherDetailModalViewController.swift in Sources */,
				7AA371CD23E335E3009A1D87 /* DataModel.swift in Sources */,
				7AA371C523E326D9009A1D87 /* HomePageHeader.swift in Sources */,
				7A224DAC23E86B3C003105A9 /* LoadingAnimation.swift in Sources */,
				7AA371C723E328C0009A1D87 /* HomePageTableViewController.swift in Sources */,
				7A224DB123E86ECF003105A9 /* LoadingAnimationModal.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		7AA3719B23E32023009A1D87 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				7AA371A423E32023009A1D87 /* Weather_Assessment_RecommendTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		7AA371A623E32023009A1D87 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				7AA371AF23E32023009A1D87 /* Weather_Assessment_RecommendUITests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		7AA371A123E32023009A1D87 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 7AA3718523E32022009A1D87 /* Weather Assessment Recommend */;
			targetProxy = 7AA371A023E32023009A1D87 /* PBXContainerItemProxy */;
		};
		7AA371AC23E32023009A1D87 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 7AA3718523E32022009A1D87 /* Weather Assessment Recommend */;
			targetProxy = 7AA371AB23E32023009A1D87 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		7AA3718F23E32022009A1D87 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				7AA3719023E32022009A1D87 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		7AA3719723E32023009A1D87 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				7AA3719823E32023009A1D87 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		7AA371B123E32023009A1D87 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.2;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		7AA371B223E32023009A1D87 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.2;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		7AA371B423E32023009A1D87 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 66VPE47DN4;
				INFOPLIST_FILE = "Weather Assessment Recommend/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "DanialFajar.Weather-Assessment-Recommend";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		7AA371B523E32023009A1D87 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 66VPE47DN4;
				INFOPLIST_FILE = "Weather Assessment Recommend/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "DanialFajar.Weather-Assessment-Recommend";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		7AA371B723E32023009A1D87 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 66VPE47DN4;
				INFOPLIST_FILE = "Weather Assessment RecommendTests/Info.plist";
				IPHONEOS_DEPLOYMENT_TARGET = 13.2;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "DanialFajar.Weather-Assessment-RecommendTests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/Weather Assessment Recommend.app/Weather Assessment Recommend";
			};
			name = Debug;
		};
		7AA371B823E32023009A1D87 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 66VPE47DN4;
				INFOPLIST_FILE = "Weather Assessment RecommendTests/Info.plist";
				IPHONEOS_DEPLOYMENT_TARGET = 13.2;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "DanialFajar.Weather-Assessment-RecommendTests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/Weather Assessment Recommend.app/Weather Assessment Recommend";
			};
			name = Release;
		};
		7AA371BA23E32023009A1D87 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 66VPE47DN4;
				INFOPLIST_FILE = "Weather Assessment RecommendUITests/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "DanialFajar.Weather-Assessment-RecommendUITests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = "Weather Assessment Recommend";
			};
			name = Debug;
		};
		7AA371BB23E32023009A1D87 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 66VPE47DN4;
				INFOPLIST_FILE = "Weather Assessment RecommendUITests/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "DanialFajar.Weather-Assessment-RecommendUITests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = "Weather Assessment Recommend";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		7AA3718123E32022009A1D87 /* Build configuration list for PBXProject "Weather Assessment Recommend" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				7AA371B123E32023009A1D87 /* Debug */,
				7AA371B223E32023009A1D87 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		7AA371B323E32023009A1D87 /* Build configuration list for PBXNativeTarget "Weather Assessment Recommend" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				7AA371B423E32023009A1D87 /* Debug */,
				7AA371B523E32023009A1D87 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		7AA371B623E32023009A1D87 /* Build configuration list for PBXNativeTarget "Weather Assessment RecommendTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				7AA371B723E32023009A1D87 /* Debug */,
				7AA371B823E32023009A1D87 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		7AA371B923E32023009A1D87 /* Build configuration list for PBXNativeTarget "Weather Assessment RecommendUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				7AA371BA23E32023009A1D87 /* Debug */,
				7AA371BB23E32023009A1D87 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */

/* Begin XCVersionGroup section */
		7AA3719223E32022009A1D87 /* Weather_Assessment_Recommend.xcdatamodeld */ = {
			isa = XCVersionGroup;
			children = (
				7AA3719323E32022009A1D87 /* Weather_Assessment_Recommend.xcdatamodel */,
			);
			currentVersion = 7AA3719323E32022009A1D87 /* Weather_Assessment_Recommend.xcdatamodel */;
			path = Weather_Assessment_Recommend.xcdatamodeld;
			sourceTree = "<group>";
			versionGroupType = wrapper.xcdatamodel;
		};
/* End XCVersionGroup section */
	};
	rootObject = 7AA3717E23E32022009A1D87 /* Project object */;
}
